$primary-color: #33b5e5;
$dark-color: #343a40;
$light-color: #ffffff;
$danger-color: red;
$success-color: green;
$max-width: 1100px;

// Set text color based on background
@function set-text-color($color) {
  @if (lightness($color) > 60) {
    @return #333;
  } @else {
    @return white;
  }
}

// Set background & text color
@mixin set-background($color) {
  background-color: $color;
  color: set-text-color($color);
}

// Margin & Padding
$spaceamounts: (1, 2, 3, 4, 5);

@each $space in $spaceamounts {
  // All around margin
  .m-#{$space} {
    margin: #{$space}rem;
  }

  // Vertical Margin
  .my-#{$space} {
    margin: #{$space}rem 0;
  }

  // All around Padding
  .p-#{$space} {
    padding: #{$space}rem;
  }

  .py-#{$space} {
    padding: #{$space}rem 0;
  }
}
